Subject: [CCAMP] Comments on draft-ietf-ccamp-wson-signaling-05

From: "Margaria, Cyril (NSN - DE/Munich)" <[email-masked]>
Date: Wed, 13 Mar 2013 14:20:45 +0000

Dear authors,

I have the following comments on draft-ietf-ccamp-wson-signaling-05:

Comment 1:
The document considers bidirection RB set and limit 2 RBInformation per hop.  However per RFC3473 section 8.1.1 and RFC3471, using different interface id for the upstream and downstream direction. The current definition does not support that.
The following change would allow it.
Section 4.2

OLD:
"If more than two objects are encountered, two
   MUST be processed and the rest SHOULD be ignored."

NEW:
"If more than two objects per direction are encountered, two
   MUST be processed and the rest SHOULD be ignored."

Section 4

OLD:
"The usage of <WSON Processing> object for the bidirectional case is
   the same as per unidirectional. When an intermediate node uses
   information from this object to instruct a node about wavelength
   regeneration, the same information applies to both downstream and
   upstream directions."

NEW:
"The usage of <WSON Processing> object for the bidirectional case is
   the same as per unidirectional. When an intermediate node uses
   information from this object to instruct a node about wavelength
   regeneration, the same regeneration information should applies to both downstream and
   upstream directions."

Comment-2: Section 4.2 :
I think the restriction on the RB Set identifier processing is maybe too strong.
I would like to suggest the following modification:

remove
"RB Set Field MAY contain more than one RB Indetifier. Only the first
   one MUST be processed, the others SHOULD be ignored.
"
In all case, consider the Typo

Comment-3 :
The restriction on the OIC and other parameters are also too strong, only considering one does not allows signaling to pick the one RB among several.
Please consider the following change
Remove
" The Optical Interface Class List, Input Bit Range List and
   Processing Capability List MAY contain more than one element. Only
   the first MUST be processed, the others SHOULD be ignored.
"

Mit freundlichen Grüßen / Best Regards
Cyril Margaria

Nokia Siemens Networks Optical GmbH
St.Martin-Str. 76
D-81541 München
Germany
mailto:[email-masked]
Phone: +49-89-5159-16934
Fax:   +49-89-5159-44-16934
----------------------------------------------------------------
Nokia Siemens Networks Optical GmbH
Geschäftsleitung / Board of Directors: Gero Neumeier, Dr. Rolf Nauerz
Sitz der Gesellschaft: München / Registered office: Munich
Registergericht: München / Commercial registry: Munich, HRB 197143

---

From: "Giovanni Martinelli (giomarti)" <[email-masked]>
Date: Wed, 13 Mar 2013 23:50:37 +0000

Hi Cyril,

thx for careful review, pls see inline

>   MUST be processed and the rest SHOULD be ignored."

GM> ok

>   regeneration, the same regeneration information should applies to both downstream and

GM> I assume you meant section 5. Ok. Just wondering if worth spending some words on usage of I|E flags vs directions

> In all case, consider the Typo

GM> fine with me no problem in relaxing constrain (btw thx for catching the typo)

>   the first MUST be processed, the others SHOULD be ignored.

GM> same as comment above

thx again for reading!

Cheers
G

> _______________________________________________
> CCAMP mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ccamp

---

From: Leeyoung <[email-masked]>
Date: Thu, 14 Mar 2013 01:26:41 +0000

Hi Cyril,

Thanks for your thorough review the draft. I concur with Giovanni on the comments. 

I have some comments in-line. 

Regards,
Young

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Giovanni Martinelli (giomarti)
Sent: Wednesday, March 13, 2013 6:51 PM
To: Margaria, Cyril (NSN - DE/Munich)
Cc: CCAMP; [email-masked]
Subject: Re: [CCAMP] Comments on draft-ietf-ccamp-wson-signaling-05

Hi Cyril,

GM> ok

YOUNG>> Simple grammar check with your suggested text: 

OLD: "...should applies to both downstream and upstream directions."
NEW: "...should apply to both downstream and upstream directions." 

thx again for reading!

Cheers
G

---

From: "Margaria, Cyril (NSN - DE/Munich)" <[email-masked]>
Date: Thu, 14 Mar 2013 11:36:47 +0000

Best regards / Mit freundlichen Grüßen
Cyril Margaria

> From: ext Leeyoung [mailto:[email-masked]]
> Sent: Thursday, March 14, 2013 2:27 AM
> To: Giovanni Martinelli (giomarti); Margaria, Cyril (NSN - DE/Munich)
> Subject: RE: [CCAMP] Comments on draft-ietf-ccamp-wson-signaling-05
> 
> Hi Cyril,
> 
> > The document considers bidirection RB set and limit 2 RBInformation
> per hop.  However per RFC3473 section 8.1.1 and RFC3471, using
> different interface id for the upstream and downstream direction. The
> current definition does not support that.
> GM> I assume you meant section 5. Ok. Just wondering if worth spending
> GM> some words on usage of I|E flags vs directions

This could be useful, I think it will indicate that per direction its possible to have
one Ingress and one egress WSON processing (even though a typical case would only see one)

> NEW: "...should apply to both downstream and upstream directions."

Thanks for catching that, I was a bit too quick ;-)

> GM> fine with me no problem in relaxing constrain (btw thx for catching
> GM> the typo)
> 
> > Comment-3 :
> > The restriction on the OIC and other parameters are also too strong,
> only considering one does not allows signaling to pick the one RB among
> several.
> > Mit freundlichen Grüßen / Best Regards Cyril Margaria
> >